Bug 514463 (CORE-2009-0707, CVE-2009-2620) - CVE-2009-2620 firebird-superserver: NULL ptr dereference (DoS) by handling auxiliary connection(s)
Summary: CVE-2009-2620 firebird-superserver: NULL ptr dereference (DoS) by handling au...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CORE-2009-0707, CVE-2009-2620
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.coresecurity.com/content/f...
Whiteboard: impact=moderate,public=20090728,repor...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-29 08:58 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-10 21:42:45 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2009-07-29 08:58:12 UTC
A NULL pointer dereference flaw was found in the way Superserver used to
handle (accept and reply to) auxiliary connections. A remote attacker
could initiate a specially-crafted auxiliary connection request against
the Firebird's Superserver, which would lead to denial of service 
(firebird crash).

References:
-----------
http://www.coresecurity.com/content/firebird-sql-dos
http://www.securityfocus.com/bid/35842/info

Reproducer:
-----------
http://www.securityfocus.com/data/vulnerabilities/exploits/35842.py

Upstream changesets:
--------------------
http://tracker.firebirdsql.org/browse/CORE-2563 (search for "Version control")

Patch:
------
http://firebird.cvs.sourceforge.net/viewvc/firebird/firebird2/src/remote/server.cpp?r1=1.158.2.6&r2=1.158.2.7&view=patch

Log:
----
Dmitry Yemanov committed 1 file to 'Firebird' on branch 'B2_1_Release' [20/Jul/09 10:06 AM]
Fixed two issues for the case of non-authorized op_connect_request:
1) Missing error reporting which makes the client to stall forever
2) CORE-2563: Possible DoS attack using the malformed packet sent into the connection port 

Credit:
-------
Vulnerability discovered and researched by Francisco Falcon
from Core Security Technologies.

Comment 1 Jan Lieskovsky 2009-07-29 09:05:47 UTC
This issue affects the versions of firebird package, as shipped
with Fedora releases of 10 and 11.

This issue affects the versions of firebird package, as shipped
within Extra Packages for Enterprise Linux 4 (EPEL4) and Extra
Packages for Enterprise Linux 5 (EPEL5) projects.

Please fix.

Further note: Please ensure to mention a relevant CVE identifier
              (CVE-2009-2620) in the firebird's rpm Changelog,
              when scheduling Fedora updates.

Comment 2 Fedora Update System 2009-07-30 15:13:18 UTC
firebird-2.1.3.18185.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/firebird-2.1.3.18185.0-1.fc10

Comment 3 Fedora Update System 2009-07-30 15:13:28 UTC
firebird-2.1.3.18185.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/firebird-2.1.3.18185.0-1.el5

Comment 4 Fedora Update System 2009-07-30 15:13:36 UTC
firebird-2.1.3.18185.0-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/firebird-2.1.3.18185.0-1.el4

Comment 5 Fedora Update System 2009-07-30 15:13:44 UTC
firebird-2.1.3.18185.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/firebird-2.1.3.18185.0-1.fc11

Comment 6 Fedora Update System 2009-08-05 17:20:24 UTC
firebird-2.1.3.18185.0-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-08-05 17:54:12 UTC
firebird-2.1.3.18185.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/firebird-2.1.3.18185.0-2.fc10

Comment 8 Fedora Update System 2009-08-05 17:54:24 UTC
firebird-2.1.3.18185.0-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/firebird-2.1.3.18185.0-2.el4

Comment 9 Fedora Update System 2009-08-05 17:54:36 UTC
firebird-2.1.3.18185.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/firebird-2.1.3.18185.0-2.fc11

Comment 10 Fedora Update System 2009-08-05 17:54:47 UTC
firebird-2.1.3.18185.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/firebird-2.1.3.18185.0-2.el5

Comment 11 Fedora Update System 2009-08-05 19:47:52 UTC
firebird-2.1.3.18185.0-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-08-05 19:48:09 UTC
firebird-2.1.3.18185.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-08-31 23:35:50 UTC
firebird-2.1.3.18185.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-08-31 23:40:40 UTC
firebird-2.1.3.18185.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.